org.eclipse.cdt.core.dom.rewrite

## Interface ITrackedNodePosition

    public interface ITrackedNodePosition

A tracked node position is returned when a rewrite change is requested to be tracked.

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` Returns the original or modified length of the tracked node depending if called before or after the rewrite is applied.
`int` `getStartPosition()` Returns the original or modified start position of the tracked node depending if called before or after the rewrite is applied.

### Method Detail

#### getStartPosition

    int getStartPosition()

Returns the original or modified start position of the tracked node depending if called before or after the rewrite is applied. `-1` is returned for removed nodes.

Returns:
  the original or modified start position of the tracked node

#### getLength

    int getLength()

Returns the original or modified length of the tracked node depending if called before or after the rewrite is applied. `-1` is returned for removed nodes.

Returns:
  the original or modified length of the tracked node